Installing Home Assistant Supervised on Debian 11

Simply disabling the service does not stop another unit starting it, it simply means it is not started automatically. you need to issue a mask command to prevent it being started in any way.

Or simply

sudo apt-get purge modemmanager

I suggest configuring apt unattended upgrades rather than relying on remembering to login and upgrade every so often.

I suggest that is a really bad idea. I assume you have never done that? If you have and have ever had a docker upgrade you would never do that.

2 Likes

You can exclude docker from automatic upgrades. Installing security updates for everything else is important though. I have many production servers running this.

TLDR: can I install Home Assistant of any variety on a 32 bit netbook or am I wasting everyone’s time?

I note that this guide is for 64 bit machines but I am appealing to the combined wisdom and experience of the community here. I’ve been trying for the last 3 days to install Home Assistant (whether Core, Supervised or other) with no success. This is mostly due to the fact that I am trying to install to a Samsung NC10, 32 bit, 1.60 Atom, 2GB RAM, with the 32 bit architecture being a limiting factor.

I have tried to install on a VM within Ubuntu 16.04 (their last 32 bit release) and also with Python on Ubuntu and Lubuntu. I keep on running into Python version conflicts (the install requires minimum version 3.7) that I cannot resolve. What I have discovered is that uninstalling Python from Ubuntu is a Very Bad Idea.

Edit: reason I am posting here is that I am busy downloading Debian Buster to have a try on that.

It’s for any machine x64/86 machine.

If your download the 32bit Debian image, you should be fine.

Good news, thanks for your prompt reply. I’m done with the download and will start installing shortly, I’ll post the outcome…

The Debian install hangs at ‘‘Configure the network’’. I used debian-live-10.4.0-i386-lxde+nonfree.iso from https://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/10.4.0-live+nonfree/i386/iso-hybrid/

The SHA-1 checksum is good so I’m a little puzzled. I will download a different ISO and try that.

You might try this one :

https://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current/i386/iso-cd/firmware-10.4.0-i386-netinst.iso

Thanks francisp, downloading now.

Edit: Debian installed, busy now wiith the Home Assistant install,but stuck on:

curl -fsSL get.docker.com | sh

response is: curl: (6) Could not resolve host: get.docker.com

Advice please?

Edit 2: I tried the curl command a few times., have now progressed a little but the response ends with:

E: Package ‘docker-ce’ has no installation candidate

I vaguely recall reading that docker does not work on 32 bit machines, but I could be completely wrong.

Thanks for the guide, all the details were helpful!

I’ll just add that I also had to add the two lines mentioned by @SadGamerGeek to my sources.list file.

I’m really happy with the results already.

1 Like

Those lines are already in the file, but commented out, so they don’t need to be added, just have the comment removed.

I’ve tried to replicate that issue with a couple more test installs myself, and don’t have the problem. Perhaps it’s a region issue.

1 Like

It looks like this install method won’t work on a 32 bit machine, unless perhaps there is extensive tinkering. In fact, I cannot find any install method, even for Core, that will work on my netbook. I’d really appreciate confirmation of this, then I can stop my search and consider getting a 64 bit device.

1 Like

I just tried ‘sudo apt-get install docker-ce’ on my debian 10 32-bit : no available installation candidate.

There are some scripts on the net to build docker yourself on a 32-bit machine, but as you said : extensive tinkering.

I enjoy the tinkering bit. My concern is that once it’s up and running, an update (which are pretty frequent) to the system could break it, necessitating another bout of find and fix.

Docker does require a 64 bit installation. You’re better off getting your hands on something that can support it properly from the bottom up. This install choice is already finicky.

If so, How am I running Docker on my Raspbian RPi? Do you mean a Debian 64 bit installation?

If so that should be in the ADR as a requirement (I don’t remember seeing it - but could be wrong).

Docker requires 64bit on intel/amd. On RbPi it runs on 32bit.

1 Like

this installation method is not officially supported

I think you can now change this to this the only officially supported way to run supervised on a non-hassbian OS ;-). Your install method might differ a bit from what they put into the official docs and the installer they make, but I’d bet it is pretty damned close for someone who just has to try now. At least it hits all the supported components.

1 Like